Bug 457098 - [enh] don't clear statically assigned ethernet addresses on terminate
[enh] don't clear statically assigned ethernet addresses on terminate
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-29 12:03 EDT by Steve Whitehouse
Modified: 2009-07-14 11:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:15:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Whitehouse 2008-07-29 12:03:40 EDT
If I chkconfig NetworkManager off then it removes all the IP addresses on my
devices despite the fact that they were set statically with the ifcfg-* files.
Since NetworkManager seems to be the default for installation, that means you
can't easily turn if off on a remote install without risking losing connectivity.
Comment 1 Niels Haase 2009-04-07 17:26:49 EDT
Reporter, could you please check if NM_CONTROLLED=no is set in
/etc/sysconfig/network-scripts/ifcfg-eth0.

Have you upgraded to Fedora 10 or Rawhide? In either case, can you let us know whether the issue is still happening, and give the current version of the NetworkManager packages you're using. Thank you.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Steve Whitehouse 2009-04-08 04:58:36 EDT
I have upgraded to F-10 and I've already reported three further bugs against NetworkManager as a result. This bug was reported over 6 months ago, so it should hardly be a surprise if I'm not still waiting for this bug to be resolved.

I suggest that it would be a good plan to not turn NetworkManager on by default in Fedora until it works a bit more reliably.

I honestly don't remember whether NM_CONTROLLED was set or not now. Probably not though since I was using chkconfig to turn it off. I didn't see any repeat of this particular issue with F-10, but there are still obviously a number of issues which are still remaining.
Comment 3 Dan Williams 2009-04-08 11:51:14 EDT
It's expected that shutting down NM will shut down your network connections.  What's the real problem here?  "Statically set in ifcfg files" doesn't mean anything becuase that's the *config* storage, not network state.  Network state is a lot more than config in ifcfg files.

If you're doing a remote install, I'm sure you know how you'd like to configure your system, right?  Or you're using kickstart?  Or you're customizing the installed package set?  If you're doing that, then you can easily turn off NetworkManager if it's not applicable to your use-case.

That said, we may be doing some work to handle this for static IP ethernet situations only, so marking this properly as an enhancement request.
Comment 4 Steve Whitehouse 2009-04-08 13:24:43 EDT
Well, I'm trying to remember what I was doing now... it was a long time back :-) I suspect it was my development machine and I was using DRAC to do it, so that it was a remote cdrom boot for a network install. It wasn't kickstart anyway.

So yes, you could turn it off if you knew that it was going to be an issue in the first place....
Comment 5 Bug Zapper 2009-06-09 22:17:17 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 11:15:21 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.